package UserInt;

// MultiColumnCallback
// Objects implementing this interface can be passed to the MultiColumn
// class, to have their singleClick() and doubleClick() functions called in
// response to single or double click in the list.
//
// NOTE that this callback version has been modified from the original;
// the 'int col' parameter has been added.
//
public interface MultiColumnCallback
{
	// singleClick
	// Called on a single click on a list item
	void singleClick(MultiColumn list, int row, int col);

	// doubleClick
	// Called upon double-clicking on a list item
	void doubleClick(MultiColumn list, int row, int col);
}
