package UserInt;

import java.awt.*;
import java.util.*;

/* This is no longer a subclass of MessageDialog because the parents
   constructor must be called first, but this class needed to process
   certain things before calling super(). */
/** A (fairly) self-contained dialog window for short multi-line
  messages that require the user's acknowledgement. The only button
  is an "OK" button that closes the dialog. */
public class Notification extends WorkaroundDialog {

  public Notification(Frame parent, String title, String message) 
  {
    super(parent, title, true);

    int newLinePos;
    int lastNewLine;
    int numLines;
    Vector lineText;
    int i;

    /* Break message into separate lines. */
    lineText = new Vector();
    lastNewLine = 0;
    newLinePos = message.indexOf('\n', lastNewLine);
    while (newLinePos >= 0) {
      lineText.addElement(message.substring(lastNewLine, newLinePos));
      lastNewLine = newLinePos + 1;
      newLinePos = message.indexOf('\n', lastNewLine);
    }
    lineText.addElement(message.substring(lastNewLine));

    numLines = lineText.size();
    Panel textPanel = new Panel();
    textPanel.setLayout(new GridLayout(numLines, 1));
    for (i=0; i < numLines; i++)
      textPanel.add(new Label((String)(lineText.elementAt(i))));

    Panel buttonPanel = new Panel();
    buttonPanel.add(new Button("OK"));

    add("North", textPanel);
    add("South", buttonPanel);
    setBackground(Color.lightGray);
    setForeground(Color.black);
    pack();
    resize(minimumSize());
  }

  // Old constructor
  /* 
  public Notification(Frame parent, String title, boolean modal, 
                      String text[], String buttons[]) {
    super(parent, title, modal, text, buttons);
  }
  */

  public boolean handleEvent(Event event) {
    if (event.id == Event.WINDOW_DESTROY) {
      dispose();
      return true;
    }
   else if (event.id == Event.ACTION_EVENT && 
             event.target instanceof Button) {
      dispose();
      return true;
    }
    return super.handleEvent(event);
  }
}

